curl --request GET \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/{scheduleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/{scheduleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isEnabled": true,
"timezone": "<string>",
"outOfHoursBehavior": "offline",
"rules": [
{
"dayOfWeek": "monday",
"isEnabled": true,
"slot": {
"startTime": "<string>",
"endTime": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"outOfHoursMessage": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"path": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Obtener detalle de un horario del agente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant. Obligatorio al autenticar con Authorization: Bearer, donde su ausencia devuelve 400 Workspace context is required. Con x-api-key es opcional: la llave ya identifica a su workspace y lo que mandes aquí se ignora.
Path Parameters
Identificador del agente
Identificador del horario configurado del agente
Response
Horario encontrado
Horario estándar configurado para el agente.
Activa o desactiva el uso del horario sobre el agente.
Identificador IANA del timezone (ej. America/Mexico_City).
Comportamiento del agente fuera de la franja configurada.
offline, limited-service, auto-message Arreglo con una regla por cada día de la semana (monday..sunday).
7 elementsShow child attributes
Show child attributes
Mensaje automático enviado cuando outOfHoursBehavior es auto-message.
